## Expectations List

`expect()` supports all the expectations listed here! :rocket:

### Array
```
notToContain
notToContainEqual
notToContainOnly
notToHaveCount
notToHaveKey
notToHaveSameSizeAs
toContain
toContainEqual
toContainOnly
toContainOnlyInstancesOf
toHaveCount
toHaveKey
toHaveSameSizeAs
```

### BaseObject
```
notToHaveAttribute
toHaveAttribute
```

### Callable
```
notToThrow
toThrow
```

### Class
```
notToHaveAttribute
notToHaveStaticAttribute
toHaveAttribute
toHaveStaticAttribute
```

### Directory
```
notToBeReadable
notToBeWritable
notToExist
toBeReadable
toBeWritable
toExist
toExistAndNotToBeReadable
toExistAndNotToBeWritable
toExistAndToBeReadable
toExistAndToBeWritable
```

### File
```
notToBeReadable
notToBeWritable
notToExist
toBeEqual
toBeEqualCanonicalizing
toBeEqualIgnoringCase
toBeReadable
toBeWritable
toExist
toExistAndNotToBeReadable
toExistAndNotToBeWritable
toExistAndToBeReadable
toExistAndToBeWritable
toNotEqual
toNotEqualCanonicalizing
toNotEqualIgnoringCase
```

### JsonFile
```
notToEqualJsonFile
toEqualJsonFile
```

### JsonString
```
notToEqualJsonFile
notToEqualJsonString
toEqualJsonFile
toEqualJsonString
```

### Mixed
```
notToBe
notToBeArray
notToBeBool
notToBeCallable
notToBeClosedResource
notToBeEmpty
notToBeFalse
notToBeFloat
notToBeInstanceOf
notToBeInt
notToBeIterable
notToBeNull
notToBeNumeric
notToBeObject
notToBeResource
notToBeScalar
notToBeString
notToBeTrue
notToEqual
notToEqualCanonicalizing
notToEqualIgnoringCase
notToEqualWithDelta
toBe
toBeArray
toBeBool
toBeCallable
toBeClosedResource
toBeEmpty
toBeFalse
toBeFinite
toBeFloat
toBeGreaterThan
toBeGreaterThanOrEqualTo
toBeInfinite
toBeInstanceOf
toBeInt
toBeIterable
toBeLessThan
toBeLessThanOrEqualTo
toBeNan
toBeNull
toBeNumeric
toBeObject
toBeResource
toBeScalar
toBeString
toBeTrue
toEqual
toEqualCanonicalizing
toEqualIgnoringCase
toEqualWithDelta
```

### String
```
notToContainString
notToContainStringIgnoringCase
notToEndWith
notToEqualFile
notToEqualFileCanonicalizing
notToEqualFileIgnoringCase
notToMatchFormat
notToMatchFormatFile
notToMatchRegExp
notToStartWith
toBeJson
toContainString
toContainStringIgnoringCase
toEndWith
toEqualFile
toEqualFileCanonicalizing
toEqualFileIgnoringCase
toMatchFormat
toMatchFormatFile
toMatchRegExp
toStartWith
```

### XmlFile
```
notToEqualXmlFile
toEqualXmlFile
```

### XmlString
```
notToEqualXmlFile
notToEqualXmlString
toEqualXmlFile
toEqualXmlString
```
